bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH] install: new option: --strip-program to specify the program


From: Jim Meyering
Subject: Re: [PATCH] install: new option: --strip-program to specify the program used to strip binaries
Date: Sat, 06 Sep 2008 13:40:51 +0200

Kamil Dudka <address@hidden> wrote:
> as requested in TODO, new option --strip-program was added to install to
> specify the program used to strip binaries. Proposed patch in attachment.

Thank you!
I've applied that with some changes (below) to the test script
and a tweak to split the one-line summary to fit within 72 columns:

diff --git a/tests/install/strip-program b/tests/install/strip-program
index 01a7753..57597fc 100755
--- a/tests/install/strip-program
+++ b/tests/install/strip-program
@@ -18,19 +18,24 @@

 if test "$VERBOSE" = yes; then
   set -x
-  ls --version
+  ginstall --version
 fi

 . $srcdir/test-lib.sh

-fail=0
+working_umask_or_skip_
+
+cat <<EOF > b || framework_failure
+#!$POSIX_SHELL
+sed s/b/B/ \$1 > \$1.t && mv \$1.t \$1
+EOF
+chmod a+x b || framework_failure

-# Don't let a different umask perturb the results.
-umask 22
+fail=0

-echo test > src || fail=1
-echo dest > out1 || fail=1
-ginstall src dest -s --strip-program=echo > out2 || fail=1
-compare out1 out2 || fail=1
+echo abc > src || fail=1
+echo aBc > exp || fail=1
+ginstall src dest -s --strip-program=./b || fail=1
+compare dest exp || fail=1

 (exit $fail); exit $fail




reply via email to

[Prev in Thread] Current Thread [Next in Thread]